package kr.co.zumo.app.lifeplus.bean;

import org.junit.Test;

import java.util.ArrayList;

import kr.co.zumo.app.R;

import static junit.framework.Assert.assertEquals;

/**
 * SignUpBenefitListBeanTest
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 9. 12.]   [최초 작성]
 * @since 2018. 9. 12.
 */
public class SignUpBenefitListBeanTest {

  @Test
  public void getSignUpBenefitBeans() {
    ArrayList<SignUpBenefitBean> list = new ArrayList<>();
    list.add(new SignUpBenefitBean("혜택", R.drawable.circle_full, "benefit", "category"));
    list.add(new SignUpBenefitBean("혜택2", R.drawable.common_full_open_on_phone, "benefit2", "category2"));
    list.add(new SignUpBenefitBean("혜택3", R.drawable.common_google_signin_btn_icon_dark, "benefit3", "category3"));
    SignUpBenefitListBean bean = new SignUpBenefitListBean(list);

    ArrayList<SignUpBenefitBean> returnedList = bean.getSignUpBenefitBeans();

    assertEquals(list, returnedList);
  }
}